<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateAdminTokensTable extends Migration
{
  /**
   * Run the migrations.
   *
   * @return void
   */
  public function up()
  {
    Schema::create('admin_tokens', function (Blueprint $table) {
      $table->id();
      $table->bigInteger('admin_id')->index()->comment('账号ID');
      $table->string('token', 50)->comment('TOKEN')->index();
      $table->tinyInteger('type')->comment('1-后台');
      $table->tinyInteger('del')->default(2)->comment('1-删除 2-正常');
      $table->timestamps();
    });
  }

  /**
   * Reverse the migrations.
   *
   * @return void
   */
  public function down()
  {
    Schema::dropIfExists('admin_tokens');
  }
}
